{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.programs.cava;
  inherit (config.marleyos.theme) colors;
in
{
  options.marleyos.programs.cava = mkEnableOption "cava";

  config = mkIf cfg.enable {
    programs.cava = {
      enable = true;

      rose-pine = mkIf colors.isRosePine enabled;

      # TODO: disable this when mpd is not enabled? Can that be detected on non
      # NixOS systems?
      settings = {
        input = {
          method = "fifo";
          source = "/tmp/mpd.fifo";
        };
      };
    };
  };
}
